package com.bonus.gs.sub.evaluate.outsourceEnterprise.dao;

import com.bonus.gs.sub.evaluate.outsourceEnterprise.beans.ImportUserDataVo;
import com.bonus.gs.sub.evaluate.outsourceEnterprise.beans.ViolationBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Page;

import java.util.List;

@Mapper
public interface ViolationDao {

    List<ViolationBean> outsourceEnterpriseByPage(@Param("params") ViolationBean o, Page<ViolationBean> page);

    int addOutsourceEnterprise(ViolationBean o);

    ViolationBean toViewOutsourceEnterprise(ViolationBean o);

    int updateOutsourceEnterprise(ViolationBean o);

    int outsourceEnterpriseDelete(@Param("idArr") String[] idArr);

    List<ViolationBean> exportOutsourceEnterprise(ViolationBean bean);

    int addShopBaseInfo(ViolationBean bean);

    int encoding(String value);

    List<ViolationBean> personnelViolationByPage(@Param("params") ViolationBean o, Page<ViolationBean> page);

    List<ViolationBean> violationSubpageByPage(@Param("params") ViolationBean o, Page<ViolationBean> page);

    List<ViolationBean> exportSubpageList(ViolationBean bean);

    /**
     * 验证
     * @param o
     * @return
     */
    int getOutSourceNumById(ViolationBean o);

    List<ViolationBean> getOutsourceEnterpriseByPage(ViolationBean o);

    int formValidation(@Param("enterpriseName") String enterpriseName, @Param("id") String id);

    Integer getImportDataCheck(ImportUserDataVo dataVo);
}
